package operation

import (
	"game/common/model/user"
	"game/common/modelOperator"
)

// 游戏对局日志
func NewGameRecordLogOp() *modelOperator.TableOp[user.GameRecordLog] {
	return modelOperator.NewTableOp[user.GameRecordLog](LogDB, nil)
}

// 玩家游戏日志
func NewUserRecordLogOp() *modelOperator.TableOp[user.UserRecordLog] {
	return modelOperator.NewTableOp[user.UserRecordLog](LogDB, nil)
}
